{namespace drk=DrkService\DrkAddresses\ViewHelpers}

<f:if condition="{configuration.insertAbove}">
	<f:render section="paginator" arguments="{pagination: pagination, configuration: configuration}" />
</f:if>

<f:renderChildren arguments="{contentArguments: contentArguments, pagination: pagination}" />

<f:render section="map" arguments="{contentArguments}" />


<f:if condition="{configuration.insertBelow}">
	<f:render section="paginator" arguments="{pagination: pagination, configuration: configuration}" />
</f:if>

<f:section name="paginator">
	<div class="c-pagination">
		<ul class="c-pagination__list">
			<f:if condition="{pagination.numberOfPages} > 1">
				<f:then>
					<f:for each="{pagination.pages}" as="page">
						<f:if condition="{page.isCurrent}">
							<f:then>
								{page.number}
							</f:then>
							<f:else>
								<f:if condition="{page.number} > 1">
									<f:then>
										<f:widget.link arguments="{currentPage: page.number}" addQueryStringMethod="{configuration.addQueryStringMethod}" section="{configuration.section}">{page.number}</f:widget.link>
									</f:then>
									<f:else>
										<f:widget.link addQueryStringMethod="{configuration.addQueryStringMethod}" section="{configuration.section}">{page.number}</f:widget.link>
									</f:else>
								</f:if>
							</f:else>
						</f:if>
					</f:for>
				</f:then>
			</f:if>
		</ul>
	</div>

</f:section>


<f:section name="map">
	<div class="c-addresses-search__result-map" style="margin-top: 50px;">
        <header class="header">
            <h3><f:translate key="LLL:EXT:drk_addresses/Resources/Private/Language/locallang.xlf:courseResult.list.map.headline" /></h3>
        </header>
		<f:if condition="{settings.mapType} == 'google'">
			<f:then>
				<drk:googleMap locations="{paginatedResults}" class="c-addresses-search__result-map" />
			</f:then>
			<f:else>
				<drk:openStreetMap locations="{paginatedResults}" class="c-addresses-search__result-map" />
			</f:else>
		</f:if>
	</div>
</f:section>
